# RedditBase

class `praw.models.reddit.base.``RedditBase`(reddit: Reddit, _data: Optional[Dict[str, Any]], _extra_attribute_to_check: Optional[str] = None, _fetched: bool = False, _str_field: bool = True)

  Base class that represents actual Reddit objects.

  `__init__`(reddit: Reddit, _data: Optional[Dict[str, Any]], _extra_attribute_to_check: Optional[str] = None, _fetched: bool = False, _str_field: bool = True)

    Initialize a RedditBase instance (or a subclass).

    Parameters

      reddit – An instance of `Reddit`.

  classmethod `parse`(data: Dict[str, Any], reddit: Reddit) → Any

    Return an instance of `cls` from `data`.

    Parameters

      - data – The structured data.

      - reddit – An instance of `Reddit`.